Skip to main content
`Ctrl`+`K`

# MatISGetAllowRepeated

Get the flag to allow repeated entries in the local to global map

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetAllowRepeated(Mat A, PetscBool *flg)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- flg - the boolean flag

## See Also

Matrices, `Mat`, `MatCreate()`, `MatCreateIS()`, `MatSetLocalToGlobalMapping()`, `MatISSetAllowRepeated()`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages